[arch-commits] Commit in freenx/trunk (PKGBUILD keymap.patch)

andyrtr at archlinux.org andyrtr at archlinux.org
Sat Jun 20 11:38:24 EDT 2009


    Date: Saturday, June 20, 2009 @ 11:38:24
  Author: andyrtr
Revision: 43176

fix keymap remapping

Added:
  freenx/trunk/keymap.patch
Modified:
  freenx/trunk/PKGBUILD

--------------+
 PKGBUILD     |   14 +++++++++-----
 keymap.patch |   32 ++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+), 5 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-06-20 14:23:00 UTC (rev 43175)
+++ PKGBUILD	2009-06-20 15:38:24 UTC (rev 43176)
@@ -3,7 +3,7 @@
 #Contributed: eliott <eliott at solarblue.net>, Andre Naumann <anaumann at SPARCed.org> 
 pkgname=freenx
 pkgver=0.7.3
-pkgrel=3
+pkgrel=4
 pkgdesc="Free Software (GPL) Implementation of the NX Server"
 arch=(i686 x86_64)
 url="http://freenx.berlios.de"
@@ -11,13 +11,19 @@
 depends=('nxserver' 'gnu-netcat' 'openssh' 'expect' 'xorg-xauth' 'xorg-apps' 'xorg-fonts-misc' 'coreutils')
 backup=(opt/NX/etc/node.conf)
 install=freenx.install
-source=(http://download.berlios.de/freenx/$pkgname-server-$pkgver.tar.gz kde-config.patch)
-
+source=(http://download.berlios.de/freenx/$pkgname-server-$pkgver.tar.gz kde-config.patch
+	keymap.patch)
+md5sums=('856f597e139018f7ed62713c9d6c9ed5'
+         '70788a41f6c965ce117e9f5a8809df2a'
+         'f0867659c925f6363fb2b7661f349248')
+                  
 build() {
   # patch and install nxserver
   cd $startdir/src/$pkgname-server-$pkgver
   # patch from inside nx
   patch < gentoo-nomachine.diff || return 1
+  # patch broken keymap remapping
+  patch -Np0 -i ${srcdir}/keymap.patch || return 1
   # fixed for archlinux
   ### Broken by kde4 at the moment!
   #patch -Np0 -i ../kde-config.patch || return 1
@@ -51,5 +57,3 @@
   # create nxserver homedir
   mkdir -m700 -p $startdir/pkg/opt/NX/home/nx
 }
-md5sums=('856f597e139018f7ed62713c9d6c9ed5'
-         '70788a41f6c965ce117e9f5a8809df2a')

Added: keymap.patch
===================================================================
--- keymap.patch	                        (rev 0)
+++ keymap.patch	2009-06-20 15:38:24 UTC (rev 43176)
@@ -0,0 +1,32 @@
+=== modified file 'nxnode'
+--- nxnode	2009-01-14 04:22:40 +0000
++++ nxnode	2009-01-14 04:24:02 +0000
+@@ -555,7 +555,8 @@
+ 		
+ 		# Start the agent
+ 		
+-		PATH="$PATH_BIN:$PATH" $PATH_BIN/nxagent $P $R -name "NX - $user@$SERVER_NAME:$display - $session (GPL Edition)" -option "$USER_FAKE_HOME/.nx/C-$sess_id/options" $K $G $B $FP $AGENT_EXTRA_OPTIONS_X :$display 2>&3 &
++		#PATH="$PATH_BIN:$PATH" $PATH_BIN/nxagent $P $R -name "NX - $user@$SERVER_NAME:$display - $session (GPL Edition)" -option "$USER_FAKE_HOME/.nx/C-$sess_id/options" $K $G $B $FP $AGENT_EXTRA_OPTIONS_X :$display 2>&3 &
++		PATH="$PATH_BIN:$PATH" $PATH_BIN/nxagent $R -name "NX - $user@$SERVER_NAME:$display - $session (GPL Edition)" -option "$USER_FAKE_HOME/.nx/C-$sess_id/options" $B $FP $AGENT_EXTRA_OPTIONS_X :$display 2>&3 &
+ 	fi
+ 	
+ 	#
+@@ -1094,6 +1095,8 @@
+ 	# Rootless fix from 2x nxserver 1.5.0
+ 	realtype=$type
+ 	[ "$type" = "unix-application" -o "$type" = "unix-default" ] && realtype="unix-desktop"
++	[ "$type" = "unix-gnome" ] && realtype="gnome"
++	[ "$type" = "unix-kde" ] && realtype="kde"
+ 
+ 	# NX 2.1.0 file-sharing port options
+ 	client=$(getparam client)
+@@ -1272,7 +1275,7 @@
+ 	umask 0077
+ 
+ cat << EOF > "$USER_FAKE_HOME/.nx/C-$sess_id/options"
+-${keyboard:+keyboard=$keyboard,}${kbtype:+kbtype=$kbtype,}${kbload:+kbload=$kbload,}${keymap:+keymap=$keymap,}${resize:+resize=$resize,}${CACHE}${IMAGES}${PACK}link=$link,nodelay=$nodelay,type=$realtype,cleanup=0,${ACCEPT}cookie=$proxy_cookie,id=$sess_id,samba=$samba,media=$media${sync:+,sync=$sync}${cups:+,cups=$cups}${keybd:+,keybd=$keybd}${aux:+,aux=$aux}${http:+,http=$http}${rdpcolors:+,rdpcolors=$rdpcolors}${rdpcache:+,rdpcache=$rdpcache}${fullscreen:+,fullscreen=1}${clipboard:+,clipboard=$clipboard}${menu:+,menu=$menu}:$display
++nx/nx,${keyboard:+keyboard=$keyboard,}${kbtype:+kbtype=$kbtype,}${kbload:+kbload=$kbload,}${keymap:+keymap=$keymap,}${geometry:+geometry=$geometry,}${client:+client=$client,}${resize:+resize=$resize,}${CACHE}${IMAGES}${PACK}link=$link,nodelay=$nodelay,type=$realtype${clipboard:+,clipboard=$clipboard}${composite:+composite=$composite},cleanup=0,product=LFE/None/LFEN/None,shmem=1,${backingstore:+backingstore=$backingstore,}shpix=1,${ACCEPT}cookie=$proxy_cookie,id=$sess_id,samba=$samba,media=$media${sync:+,sync=$sync}${cups:+,cups=$cups}${keybd:+,keybd=$keybd}${aux:+,aux=$aux}${http:+,http=$http}${rdpcolors:+,rdpcolors=$rdpcolors}${rdpcache:+,rdpcache=$rdpcache}${fullscreen:+,fullscreen=1}${menu:+,menu=$menu}:$display
+ EOF
+ 	umask $OLD_UMASK
+ #samba=$samba,
+



More information about the arch-commits mailing list